Skip to main content
`Ctrl`+`K`

# PetscFESetTileSizes

Sets the tile sizes for evaluation

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFESetTileSizes(PetscFE fem, PetscInt blockSize, PetscInt numBlocks, PetscInt batchSize, PetscInt numBatches)

Not Collective

## Input Parameters

- fem - The `PetscFE` object

- blockSize - The number of elements in a block

- numBlocks - The number of blocks in a batch

- batchSize - The number of elements in a batch

- numBatches - The number of batches in a chunk

## See Also

`PetscFE`, `PetscFECreate()`, `PetscFEGetTileSizes()`

## Level

intermediate

## Location

src/dm/dt/fe/interface/fe.c

Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages